
\subsection{Neu}

\begin{exampleblock}{Aufgabe}
	Wie sieht das Array nach den folgenden Aufrufen aus?  
\end{exampleblock}

\begin{lstlisting}
int* a = new int[8]{4, 1, -3, -2, 10, 0, 0};
a[6] = 5;
a[3] = 4;
a[5] = a[a[6 - a[6] - a[2]]-7] == a[a[4]-10];
a[4] = a[7];
\end{lstlisting}

\subsection{Adaptiert aus D-ITET HS15}

\begin{exampleblock}{Aufgabe}
	Was ist die Ausgabe folgender Funktion?  
\end{exampleblock}
\begin{lstlisting}
void func(int &a, int b, int& c) {
	if (b > 0)
		a += b * c;
	c *= 2;
	std::cout << a;
}

int main() {
	int res = 0;
	int x = 1;
	char values[8] = { 1, 0, 0, 1, 0, 1, 0, 1 };
	for(int i = 0; i < 8; ++i)
		func(res, values[i], x);
	return 0;
}
\end{lstlisting}

